
From: Jeff Dike <jdike@addtoit.com>

There is absolutely no reason to flush the kernel's VM area during a
tlb_flush_mm.

This results in a noticable performance increase in the kernel build
benchmark.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Cc: Paolo Giarrusso <blaisorblade@yahoo.it>

Paolo said:

Andrew: hold off this one, definitely.

Jeff: Have you verified this with both modules enabled and iptables (a vmalloc 
user) compiled modularly? Maybe even non-modular iptables will trigger the 
bug but let's go for sure.

This situation killed a conceptually similar patch in 2.4.24-2um (which did 
apply until 2.6.11):
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/kernel/skas/tlb.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN arch/um/kernel/skas/tlb.c~uml-kill-some-useless-vmalloc-tlb-flushing arch/um/kernel/skas/tlb.c
--- devel/arch/um/kernel/skas/tlb.c~uml-kill-some-useless-vmalloc-tlb-flushing	2005-07-05 18:53:53.000000000 -0700
+++ devel-akpm/arch/um/kernel/skas/tlb.c	2005-07-05 18:53:53.000000000 -0700
@@ -76,7 +76,6 @@ void flush_tlb_mm_skas(struct mm_struct 
                 return;
 
         fix_range(mm, 0, host_task_size, 0);
-        flush_tlb_kernel_range_common(start_vm, end_vm);
 }
 
 void force_flush_all_skas(void)
_
